﻿@{
    ViewBag.Title = "ArtistProfilePage";
    Layout = "~/Areas/Admin/Views/Shared/_adminlayout.cshtml";
    var image_path = System.Configuration.ConfigurationManager.AppSettings["imagesPath"];
}
<style>
    .profile-text h6 {
        color: #a6a6a6 !important;
    }
    .example4 {
        width: 100%;
        height: 200px;
    }
    .dropdowndiv {
        border-radius: 15px;
        float: left;
        height: 40px;
        margin-right: 4px;
        width: 40px;
    }
</style>
<link href="~/Content/Site.css" rel="stylesheet" />
<section class="wrapper site-min-height">
    <ol class="arrows">
        <li>
            <i class="fa fa-dashboard"></i>
            @if (ViewContext.RouteData.Values["action"].ToString() != "Index")
            {
                @Html.ActionLink("Dashboard", "index", "Dashboard")
            }
            <i class="fa fa-angle-right"></i>
        </li>
        <li>
            @if (ViewContext.RouteData.Values["action"].ToString() != "Index")
            {
                @Html.ActionLink("Artist Profile", "ArtistProfilePage", "Artist")
            }
        </li>
    </ol>
    <h3> Artist Profile</h3>
    <hr>
    <div class="row mt">
        <div class="col-lg-12">
            <div class="row content-panel">
                <div class="col-md-4 profile-text centered artist_details">
                    <div class="right-divider">
                        <h4 id="total_Art"></h4>
                        <h6>Total Art Uploaded</h6>
                    </div>
                </div>
                <div class="col-md-4 profile-text artist_details1">
                    <h3 class="" style="margin-top:12px">@ViewBag.artistName</h3>
                    <input type="hidden" id="artistName" value="@ViewBag.artistName" />
                </div>
                <div class="col-md-4 centered">
                    <div class="profile-pic">
                        <p>
                        </p>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-12 mt">
            <div class="row content-panel">
                <div class="panel-body">
                    <div class="tab-content">
                        <div id="overview" class="tab-pane active">
                            <div class="row" id="binddata">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row mt mb center" style="text-align: center;">
                <div class="form-send">
                    <button type="submit" class="btn btn-large btn-primary" id="MoreBTN" onclick="getArtData();">More art</button>
                </div>
            </div>
        </div>
    </div>
    <div class="container">
        <div class="modal fade bd-example-modal-lg" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel" aria-hidden="true">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title">Comments</h5>
                        <input type="hidden" id="hidden_art_id" />
                        <button type="button" class="close cmt_close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body cmt_body">
                        <div id="comment_placeholder">
                        </div>
                        <div id="seeMoreReplies_placeholder" style="display:none">
                            <h5 id="backToComments">back to comments</h5>
                            <div class="mainComment">
                                <div>
                                    <img id="user_image" class="userImage" src="" />
                                </div>
                                <div class="mainContent">
                                    <div class="mainHeader">
                                        <h5 class="username" id="cmt_subUserName"> usr_FullName </h5>
                                    </div>
                                    <p class="commentText" id="cmt_subDes"> arc_Desc </p>
                                    <div id="replyOfReply">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer" id="manCommentTextBox">
                        <div style="display:flex">
                            <input type="text" id="txt_mainComment" class="form-control mainCommentEnter" name="fname" placeholder="Enter new Comment">
                            <i class="fa fa-paper-plane btn_send" aria-hidden="true" onclick="AddComment();"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<script src="~/Scripts/date.format.js"></script>
<script>
    var indexval = 0;
    var imagespath = '@System.Configuration.ConfigurationManager.AppSettings["imagesPath"]';
    $(document).ready(function () {
        getArtData();
    });
    function AddComment() {
        var hidden_artID = $("#hidden_art_id").val();
        var newMainComment = $("#txt_mainComment").val().trim();
        if (newMainComment == "") {
            alert("Please enter comment");
        }
        var data1 = {
                arc_artwId:hidden_artID,
                arc_Desc: newMainComment,
                arc_UserId: 1,
                arc_masterId:0
                }
        $.ajax({
            type: "POST",
            async: false,
            dataType: "json",
            url: '@Url.Action("AddUpdateArtComment", "Artist", new { area = "Admin"})',
            data:data1,
            success: function (data) {
                $("#txt_mainComment").val("");
                getComments(hidden_artID, 1);
            }
        });
    }
      function ReplyComment(id , art_id) {
        var txt_mainReplay = "#txt_" + id;
        var replyMainComment = $(txt_mainReplay).val().trim();
        if (replyMainComment == "") {
            alert("Please enter comment");
        }
        var data1 = {
                arc_artwId:art_id,
                arc_Desc: replyMainComment,
                arc_UserId: 1,
                arc_masterId:id

                }
        $.ajax({
            type: "POST",
            async: false,
            dataType: "json",
            url: '@Url.Action("AddUpdateArtComment", "Artist", new { area = "Admin"})',
            data:data1,
            success: function (data) {
                $(txt_mainReplay).val("");
                getComments(art_id, 1);
            }
        });
    }
    function getArtData() {
        try {
            var Name = $("#artistName").val();
            $.ajax({
                type: "POST",
                async: false,
                dataType: "json",
                url: '@Url.Action("ArtistProfile", "Artist", new { area = "Admin"})',
                data: { index: indexval, Name: Name },
                success: function (data) {
                    if (data.status == "success") {
                        var model = data.data;
                        if (model.length > 0) {
                             for (var i = 0; i < model.length; i++) {
                            var newdata = '';
                            newdata = newdata + "<div class='col-lg-3 col-md-3 col-sm-3 col-xs-12 desc mb_3'> " +
                                "<div class='project-wrapper'> " +
                                "<div class='project'> " +
                                "<div class='img_info'>" +
                                "<span><i class='fa fa-heart' style='margin-right:5px'></i>" + model[i].TotalArtLike + "</span>  <span style='cursor:pointer;' onclick='getComments(" + model[i].artw_id + ",0);' data-toggle='modal' data-target='.bd-example-modal-lg'><i class='fa fa-comment' style='margin-right:5px'></i>" + model[i].TotalArtComment + "</span>" +
                                "</div>"+
                                                           "<div class='photo-wrapper'> " +
                                "<div class='photo'>" +

                                                                   "<a class='fancybox' href='" + imagespath + "\\ArtWork\\" + model[i].artw_image + "'>" +
                                                                       "<img class='example4 img-responsive' src= '" + imagespath + "\\ArtWork\\" + model[i].artw_image + "' alt=''>" +
                                "</a>" +

                                                               "</div>" +
                                                               "<div class='overlay'></div>" +
                                                           "</div>" +
                                                       "</div>" +
                                                   "</div> </div>";
                            indexval = indexval + 1;
                            $("#binddata").append(newdata);
                        }
                        $("#total_Art").text(model.length);
                        if (indexval % 4 != 0) {
                            $("#MoreBTN").hide();
                            }
                          } else {alert("no more data.");   $("#MoreBTN").hide(); }
                    }
                }
            });
        } catch (e) {
            alert(e)
        }
        }
    function getComments(ArtID, UserID) {
        $("#hidden_art_id").val(ArtID);
        $.ajax({
            type: "POST",
            async: false,
            dataType: "json",
            url: '@Url.Action("GetArtComment", "Artist", new { area = "Admin"})',
            data: { ArtID: ArtID, UserId: UserID },
            success: function (data) {
                if (data.status == "success") {
                    var model = data.data;
                    if (model.length > 0) {
                          $("#comment_placeholder").empty();
                        for (var i = 0; i < model.length; i++) {
                            var date =  model[i].arc_CreatedDate;
                            var nowDate = new Date(parseInt(date.substr(6)))
                            var createdDate = nowDate.format("mmm d, yyyy hh:mm:ss");
                            var comments = '';
                            var userimage = imagespath+"\\UserProfile\\";
                            if (model[i].usr_Image == "" || model[i].usr_Image == null) {
                                userimage = userimage + "user-image.png";
                            } else{
                                  userimage = userimage + model[i].usr_Image;
                            }
                            comments = comments + '<div class="mainComment">'
                                                + '	<div>'
                                                //+ '		<img class="userImage" src="~/ImageStorage/UserProfile/' + model[i].usr_Image + '"/>'
                                                + '		<img class="userImage" src="'+userimage+'"/>'
                                                + '	</div>'
                                                + '	<div class="mainContent">'
                                                +'<div class="mainHeader">'
                                                + '		<h5 class="username">' + model[i].usr_FullName + '</h5>'

                                                + '		<p class="time"> ' + createdDate + '</p>'
                                                +'</div>'
                                                + '		<p class="commentText">' + model[i].arc_Desc + '</p>'
                                                + '		<span onclick="CommentLike(' + model[i].arc_Id + ');"><i class="fa fa-heart" id="heart' + model[i].arc_Id + '"></i></span>'
                                                + '		<span id="likeValue' + model[i].arc_Id + '" style="display:none;">' + model[i].LikeComment + '</span>'
                                                + '		<label class="btn_reply" onclick="AddMainReplyTextBox(' + model[i].arc_Id + ',' + model[i].arc_artwId + ');">Reply</label>'
                                                + '<div id="mainReplyBox' + model[i].arc_Id + '">'
                                                + '</div>'
                                                + '	</div>'
                                                + '</div>'
                                                + '<div id="subComments' + model[i].arc_Id + '"> '
                                                + '</div>';
                                $("#comment_placeholder").append(comments);
                                var hrt_id = "#heart" + model[i].arc_Id;
                                if (model[i].LikeComment != "0") {
                                      $(hrt_id).css("color", "red");
                                } else {
                                    $(hrt_id).css("color", "grey");
                                }
                            if (model[i].ArtcommentReply.length > 0) {
                                for (j = 0; j < model[i].ArtcommentReply.length; j++) {
                                    var subuserimage = imagespath+"\\UserProfile\\";
                                        if (model[i].ArtcommentReply[j].usr_Image == "" ||model[i].ArtcommentReply[j].usr_Image == null) {
                                            subuserimage = subuserimage + "user-image.png";
                                        } else{
                                              subuserimage = subuserimage + model[i].ArtcommentReply[j].usr_Image;
                                        }
                                    var replies = '';
                                    replies = replies +'<div class="subComment">'
		                                            +'	<div >'
                                        //+ '		<img class="userImage" src="~/ImageStorage/UserProfile/' + model[i].ArtcommentReply[j].usr_Image + '" />'
                                         + '		<img class="userImage" src="'+subuserimage+'"/>'
		                                            +'	</div>'
		                                            +'	<div class="subContent">'
		                                            +'		<h5 class="username ">' + model[i].ArtcommentReply[j].usr_FullName + '</h5>'
		                                            +'		<p class="commentText">' + model[i].ArtcommentReply[j].arc_Desc + '</p>'
		                                           + '		<span onclick="CommentLike(' + model[i].ArtcommentReply[j].arc_Id + ');"><i class="fa fa-heart" id="heart' + model[i].ArtcommentReply[j].arc_Id + '"></i></span>'
                                                + '		<span id="likeValue' + model[i].ArtcommentReply[j].arc_Id + '" style="display:none;">' + model[i].ArtcommentReply[j].LikeComment + '</span>'
                                                    + '		<label class="btn_reply" onclick="AddsubReplyTextBox(' + model[i].ArtcommentReply[j].arc_Id + ',' + model[i].ArtcommentReply[j].arc_artwId + ');">Reply</label>'
                                                    +'<lable id="btn_seeMoreply" onclick="SeeMoreReply(' + model[i].ArtcommentReply[j].arc_Id + ',\''+ model[i].ArtcommentReply[j].usr_FullName + '\',\'' + model[i].ArtcommentReply[j].arc_Desc + '\',\'' +model[i].ArtcommentReply[j].usr_Image+ '\');">see more replies(' + model[i].ArtcommentReply[j].more + ')</lable>'
                                                    + '<div id="subReplyBox' + model[i].ArtcommentReply[j].arc_Id + '">'
                                                    + '</div>'
		                                            +'	</div>'
                                        + '</div>';

                                    var subComments = "#subComments" + model[i].arc_Id;
                                    $(subComments).addClass('cmt_bottom');
                                    $(subComments).append(replies);
                                     var hrt_id = "#heart" + model[i].ArtcommentReply[j].arc_Id;
                                if (model[i].ArtcommentReply[j].LikeComment != "0") {
                                      $(hrt_id).css("color", "red");
                                } else {
                                    $(hrt_id).css("color", "grey");
                                }
                                }
                            }
                        }
                    }
                }

            }
        });
    }
    function CommentLike(c_id) {
        var cmt_id = "#likeValue" + c_id;
        var hrt_id = "#heart" + c_id;
        var like_id = $(cmt_id).text();
               var data1 = {
                arcl_Id:like_id,
                arcl_arc_Id: c_id
                }
        $.ajax({
            type: "POST",
            dataType: "json",
            url: '@Url.Action("AddDeleteArtLike", "Artist", new { area = "Admin"})',
            data:data1,
            success: function (data) {
                if (data != 0) {
                    $(hrt_id).css("color", "red");
                } else {
                    $(hrt_id).css("color", "grey");
                }
                $(cmt_id).text(data);
            }
        });
    }
    function SeeMoreReply(id, username, decs, userImage) {
        if (userImage == "" || userImage == null)
        {
             userImage =  "user-image.png";
        }
        $("#comment_placeholder").hide();
        $("#seeMoreReplies_placeholder").show();
        $("#manCommentTextBox").hide();
        $("#cmt_subUserName").text(username);
        $("#cmt_subDes").text(decs);
        var path ='@image_path';
        $("#user_image").attr("src",path+"UserProfile/" + userImage);
        var hidden_artID = $("#hidden_art_id").val();
        $.ajax({
            type: "POST",
            async: false,
            dataType: "json",
            url: '@Url.Action("GetArtsubComment", "Artist", new { area = "Admin"})',
            data: { ArtID: hidden_artID,ArtCommtID:id, UserId: 1 },
            success: function (data) {
                if (data.status == "success") {
                    var model = data.data;
                    if (model.length > 0) {
                        $("#replyOfReply").empty();
                        for (var i = 0; i < model.length; i++) {
                            var comments = '';
                              var userimage = imagespath+"\\UserProfile\\";
                            if (model[i].usr_Image == "" || model[i].usr_Image == null) {
                                userimage = userimage + "user-image.png";
                            } else{
                                  userimage = userimage + model[i].usr_Image;
                            }
                            comments = comments + '<div class="mainComment">'
                                + '	<div>'
                                //+ '		<img class="userImage" src="~/ImageStorage/UserProfile/' + model[i].usr_Image + '"/>'
                                + '		<img class="userImage" src="'+userimage+'"/>'
                                + '	</div>'
                                + '	<div class="mainContent">'
                                + '<div class="mainHeader">'
                                + '		<h5 class="username">' + model[i].usr_FullName + '</h5>'
                                + '</div>'
                                + '		<p class="commentText">' + model[i].arc_Desc + '</p>'
                                + '		<span onclick="CommentLike(' + model[i].arc_Id + ');"><i class="fa fa-heart" id="heart' + model[i].arc_Id + '"></i></span>'
                               + '		<span id="likeValue' + model[i].arc_Id + '" style="display:none;">' + model[i].LikeComment + '</span>'
                                + '		<label class="btn_reply" onclick="AddsubReplyTextBox(' + model[i].arc_Id + ');">Reply</label>'
                                +'<lable id="btn_seeMoreply" onclick="SeeMoreReply(' + model[i].arc_Id + ',\''+ model[i].usr_FullName + '\',\'' + model[i].arc_Desc + '\',\'' + model[i].usr_Image + '\');" >see more replies(' + model[i].more + ')</lable>'
                                + '<div id="subReplyBox' + model[i].arc_Id + '">'
                                + '</div>'
                                + '	</div>'
                                + '</div>';
                            $("#replyOfReply").append(comments);
                                 var hrt_id = "#heart" + model[i].arc_Id;
                                if (model[i].LikeComment != "0") {
                                      $(hrt_id).css("color", "red");
                                } else {
                                    $(hrt_id).css("color", "grey");
                                }
                        }
                    }
                }
            }
        });
    }
    $("#backToComments").click(function () {
           $("#comment_placeholder").show();
        $("#seeMoreReplies_placeholder").hide();
        $("#manCommentTextBox").show();
          $("#replyOfReply").empty();
    });
    function AddMainReplyTextBox(id,art_id) {
        var html = '';
        html = html + '<input id="txt_' + id + '" class="form-control" type="text" placeholder="Reply"/>'
            + '<span><lable onclick="ReplyComment(' + id + ',' + art_id + ');">add</lable> <lable class="btn_cancle_main" id="main_cancel" onclick="mainCancle(' + id + ');">cancel</lable></span>';
        var mainID = "#mainReplyBox" + id;
        $(mainID).empty();
        $(mainID).append(html);
     }
    function AddsubReplyTextBox(id,art_id) {
        var hidden_art_id = $("#hidden_art_id").val();
        var html = '';
        html = html + '<input id="txt_' + id + '"  class="form-control" type="text"  placeholder="Reply" />'
            + '<span><lable  onclick="ReplyComment(' + id + ',' + hidden_art_id + ');">add</lable> <lable class="btn_cancle_main" id="sub_cancel" onclick="subCancle(' + id + ');">cancel</lable></span>';
          var subID = "#subReplyBox" + id;
        $(subID).empty();
        $(subID).append(html);
    }
    function mainCancle(id) {
        var mainID = "#mainReplyBox" + id;
        $(mainID).empty();
    }
      function subCancle(id) {
        var subID = "#subReplyBox" + id;
        $(subID).empty();
    }
</script>




